%{?mingw_package_header}

Name:           mingw-libssh2
Version:        1.11.1
Release:        %mkrel 1
Summary:        MinGW Windows library implementation of the SSH2 protocol

License:        BSD
Group:          Development/Other
URL:            https://www.libssh2.org/
Source0:        https://www.libssh2.org/download/libssh2-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-openssl
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-openssl
BuildRequires:  mingw64-zlib


%description
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).


# Win32
%package -n mingw32-libssh2
Summary:        MinGW Windows library implementation of the SSH2 protocol
Requires:       pkgconfig

%description -n mingw32-libssh2
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n mingw32-libssh2-static
Summary:        Static version of the MinGW Windows SSH2 library
Requires:       mingw32-libssh2 = %{version}-%{release}

%description -n mingw32-libssh2-static
Static version of the MinGW Windows SSH2 library.

# Win64
%package -n mingw64-libssh2
Summary:        MinGW Windows library implementation of the SSH2 protocol
Requires:       pkgconfig

%description -n mingw64-libssh2
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n mingw64-libssh2-static
Summary:        Static version of the MinGW Windows SSH2 library
Requires:       mingw64-libssh2 = %{version}-%{release}

%description -n mingw64-libssh2-static
Static version of the MinGW Windows SSH2 library.


%{?mingw_debug_package}


%prep
%setup -q -n libssh2-%{version}


%build
%mingw_configure --disable-silent-rules --enable-static --enable-shared
%mingw_make_build


%install
%mingw_make_install

# Remove .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Remove man pages which duplicate native Fedora.
rm -r $RPM_BUILD_ROOT%{mingw32_mandir}/man3
rm -r $RPM_BUILD_ROOT%{mingw64_mandir}/man3


# Win32
%files -n mingw32-libssh2
%doc COPYING
%{mingw32_bindir}/libssh2-1.dll
%{mingw32_libdir}/libssh2.dll.a
%{mingw32_libdir}/pkgconfig/libssh2.pc
%{mingw32_includedir}/libssh2.h
%{mingw32_includedir}/libssh2_publickey.h
%{mingw32_includedir}/libssh2_sftp.h

%files -n mingw32-libssh2-static
%{mingw32_libdir}/libssh2.a

# Win64
%files -n mingw64-libssh2
%doc COPYING
%{mingw64_bindir}/libssh2-1.dll
%{mingw64_libdir}/libssh2.dll.a
%{mingw64_libdir}/pkgconfig/libssh2.pc
%{mingw64_includedir}/libssh2.h
%{mingw64_includedir}/libssh2_publickey.h
%{mingw64_includedir}/libssh2_sftp.h

%files -n mingw64-libssh2-static
%{mingw64_libdir}/libssh2.a


%changelog
* Mon Dec 30 2024 daviddavid <daviddavid> 1.11.1-1.mga10
+ Revision: 2131887
- new version: 1.11.1

* Wed Mar 30 2022 umeabot <umeabot> 1.9.0-4.mga9
+ Revision: 1834065
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 1.9.0-3.mga8
+ Revision: 1630401
- rebuild for new mingw stack

* Sat Feb 15 2020 umeabot <umeabot> 1.9.0-2.mga8
+ Revision: 1526859
- Mageia 8 Mass Rebuild

* Thu Jul 04 2019 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1418337
- new version: 1.9.0

* Wed Apr 17 2019 daviddavid <daviddavid> 1.8.2-1.mga7
+ Revision: 1391991
- new version: 1.8.2

* Tue Mar 19 2019 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1378950
- new version: 1.8.1

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1279894
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.8.0-1.mga7
+ Revision: 1248255
- new version: 1.8.0

* Fri Feb 05 2016 umeabot <umeabot> 1.4.3-5.mga6
+ Revision: 938901
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 749569
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-3.mga5
+ Revision: 682487
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 1.4.3-2.mga4
+ Revision: 547506
- imported package mingw-libssh2


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.3-1
- Update to 1.4.3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 21 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 08 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1-11
- Added win64 support (contributed by Marc-Andre Lureau)

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 1.1-10
- Remove .la files

* Tue Mar 06 2012 Kalev Lember <kalevlember@gmail.com> - 1.1-9
- Renamed the source package to mingw-libssh2 (#800434)
- Spec clean up
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1-8
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1-5
- Rebuild because of broken mingw32-gcc/mingw32-binutils

* Sun Aug 30 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1-4
- Rebuild for new mingw32-openssl
- Automatically generate debuginfo subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1-2
- Use %%global instead of %%define

* Sat May  9 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1-1
- Update to version 1.1
- Drop upstreamed patches

* Fri Apr  3 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.18-6
- Added -static subpackage
- Fixed %%defattr line

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 0.18-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.18-4
- Include license file.

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.18-3
- Rebuild against new OpenSSH (because of soname bump).

* Sat Jan 24 2009 Richard W.M. Jones <rjones@redhat.com> - 0.18-2
- Update libtool installation.

* Mon Nov 10 2008 Richard W.M. Jones <rjones@redhat.com> - 0.18-1
- Initial RPM release.
